<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.20.1.final using JasperReports Library version 6.20.1-7584acb244139816654f64e2fd57a00d3e31921e  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="siapkan_order_portrait" columnCount="2" pageWidth="595" pageHeight="842" columnWidth="297" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="5cf6e107-e28c-4b29-86c9-abd9993d1783">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="fms"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<parameter name="warehouseId" class="java.lang.String"/>
	<parameter name="dariTanggal" class="java.lang.String"/>
	<parameter name="sampaiTanggal" class="java.lang.String"/>
	<queryString>
		<![CDATA[select tbproduct.code,
	SUM(tbdispatchallocation.quantity),
	tbproduct.name as product_name,
	SUM(tbdispatchallocation.weight),
	tbdispatchallocation.returitem,
	tbproduct.short_name,
	tbkilogramweight.value,
	tbproduct.is_raw_material
from tbdispatch 
inner join tbproduct ON tbdispatch.product = tbproduct.id
inner join tbdispatchallocation ON tbdispatchallocation.dispatch = tbdispatch.id
inner join tbinventoryallocation ON tbdispatchallocation.allocation = tbinventoryallocation.id
inner join tbwarehouselocation AS tboi ON tbinventoryallocation.location = tboi.id
inner join tbwarehousefacility AS tbpindah ON tboi.facility = tbpindah.id
inner join tbkilogramweight on tbproduct.kilogram_weight_id = tbkilogramweight.id

where tbdispatchallocation.status=4
AND DATE(tbdispatchallocation.created_date)  = $P{dariTanggal}
AND tbpindah.id=$P{warehouseId}
GROUP BY tbproduct.code, tbproduct.name, tbdispatchallocation.returitem, tbproduct.short_name,
tbkilogramweight.value, tbproduct.is_raw_material
ORDER BY tbproduct.code]]>
	</queryString>
	<field name="code" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="code"/>
		<property name="com.jaspersoft.studio.field.label" value="code"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="SUM(tbdispatchallocation.quantity)" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="SUM(tbdispatchallocation.quantity)"/>
		<property name="com.jaspersoft.studio.field.label" value="SUM(tbdispatchallocation.quantity)"/>
	</field>
	<field name="product_name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="product_name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="SUM(tbdispatchallocation.weight)" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="SUM(tbdispatchallocation.weight)"/>
		<property name="com.jaspersoft.studio.field.label" value="SUM(tbdispatchallocation.weight)"/>
	</field>
	<field name="returitem" class="java.lang.Long">
		<property name="com.jaspersoft.studio.field.name" value="returitem"/>
		<property name="com.jaspersoft.studio.field.label" value="returitem"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbdispatchallocation"/>
	</field>
	<field name="short_name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="short_name"/>
		<property name="com.jaspersoft.studio.field.label" value="short_name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="value" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="value"/>
		<property name="com.jaspersoft.studio.field.label" value="value"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbkilogramweight"/>
	</field>
	<field name="is_raw_material" class="java.lang.Boolean">
		<property name="com.jaspersoft.studio.field.name" value="is_raw_material"/>
		<property name="com.jaspersoft.studio.field.label" value="is_raw_material"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="26" splitType="Stretch">
			<line>
				<reportElement positionType="Float" x="1" y="25" width="592" height="1" uuid="fb7b0f29-db80-4f55-b1bf-ca938baf0c25">
					<property name="local_mesure_unitheight" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
			</line>
			<textField>
				<reportElement x="10" y="0" width="370" height="25" uuid="4f91584e-3fa8-4582-9402-c5c4a95cf5f9"/>
				<textElement verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["REKAP ITEM BARANG PENJUALAN "]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band height="24">
			<textField pattern="MMMM d, yyyy">
				<reportElement x="47" y="1" width="183" height="19" uuid="4aca7afa-808b-408e-b1e6-b1999ad51672"/>
				<textElement textAlignment="Left" verticalAlignment="Middle" markup="none">
					<font fontName="SansSerif" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.text.SimpleDateFormat("EEEE, dd MMMM yyyy", new java.util.Locale("id")).format(new java.text.SimpleDateFormat("yyyy-MM-dd").parse($P{dariTanggal}))]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="10" y="1" width="37" height="19" uuid="8db0876b-0bca-45e3-92a3-f91a8140ff09"/>
				<box leftPadding="3"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[Dari]]></text>
			</staticText>
			<textField pattern="MMMM d, yyyy">
				<reportElement x="280" y="1" width="147" height="19" uuid="9ce991a9-2b70-49c7-9515-783bb47021bd"/>
				<textElement textAlignment="Left" verticalAlignment="Middle" markup="none">
					<font fontName="SansSerif" size="10" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.text.SimpleDateFormat("EEEE, dd MMMM yyyy", new java.util.Locale("id")).format(new java.text.SimpleDateFormat("yyyy-MM-dd").parse($P{dariTanggal}))]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="240" y="1" width="40" height="19" uuid="dd22dd67-4fd3-46d9-aa7f-c37299f24eee"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[Sampai]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="20">
			<staticText>
				<reportElement x="10" y="0" width="50" height="17" uuid="01067c50-1b2d-4dfa-98be-d812aa167df1"/>
				<box leftPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[Kode Barang]]></text>
			</staticText>
			<staticText>
				<reportElement x="60" y="0" width="170" height="17" uuid="92cac39a-964e-4ad0-ba5f-66fa0935fc28"/>
				<box leftPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[Nama Barang]]></text>
			</staticText>
			<line>
				<reportElement positionType="Float" x="1" y="0" width="592" height="1" uuid="f9991cee-93e9-471e-a4a1-ef4eff7cbdb7">
					<property name="local_mesure_unitheight" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
			</line>
			<textField>
				<reportElement x="230" y="1" width="25" height="16" uuid="f42ff60c-3e1e-43b0-a045-d4aae2feeff0"/>
				<textElement textAlignment="Center">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Jml"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="255" y="1" width="26" height="16" uuid="b8247da3-59fd-48dc-b714-2628cd170f29"/>
				<textElement textAlignment="Center">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Brt"]]></textFieldExpression>
			</textField>
		</band>
	</columnHeader>
	<detail>
		<band height="13" splitType="Stretch">
			<printWhenExpression><![CDATA[$F{SUM(tbdispatchallocation.quantity)}.longValue() > 0]]></printWhenExpression>
			<textField isBlankWhenNull="false">
				<reportElement x="10" y="0" width="220" height="13" isRemoveLineWhenBlank="true" uuid="2619f994-6b5d-4967-b54f-60b358a09a44">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="297b52aa-6549-4b9c-a609-30d336807efb"/>
				</reportElement>
				<box topPadding="2" leftPadding="2" rightPadding="0"/>
				<textElement verticalAlignment="Top">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{returitem} !=null ? "^ " + $F{code}.toUpperCase() + "  " + $F{short_name} : $F{code}.toUpperCase() + "  " + $F{short_name}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="230" y="0" width="25" height="13" uuid="606762ea-db3d-4b47-8c74-e2c4b588bd5e"/>
				<box topPadding="2"/>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font size="8" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{SUM(tbdispatchallocation.quantity)}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00#;(#,##0.00#-)">
				<reportElement x="255" y="0" width="26" height="13" uuid="7c97c4ac-c9e9-4137-89b8-be3cf72dcef5"/>
				<box topPadding="2"/>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font size="8" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{is_raw_material} == true ? new DecimalFormat("#,##0.00").format($F{SUM(tbdispatchallocation.weight)}) :
$F{value}.compareTo(BigDecimal.valueOf(0.9999)) < 0.9999 ? new DecimalFormat("#,##0.00").format($F{value}.multiply($F{SUM(tbdispatchallocation.quantity)})) : new DecimalFormat("#,##0").format($F{value}.multiply($F{SUM(tbdispatchallocation.quantity)})) ]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
